# The code below is reading the content of the first line of the file a file
# in the /data directory and printing it to the console.

import os
import time

def read_and_print_first_line(filename):
    # Wait until directory and file exist
    while not os.path.exists(os.path.dirname(filename)):
        time.sleep(1)
    while not os.path.exists(filename):
        time.sleep(1)

    while True:
        with open(filename, 'r') as file:
            first_line = file.readline().strip()  # Read the first line and remove any leading/trailing whitespaces
            if first_line:
                print(first_line)
            else:
                print("File is empty.")
        time.sleep(2)

if __name__ == "__main__":
    filename = "/data/current_time.txt"
    read_and_print_first_line(filename)