# The code below is writing the current time on the first line of a file.
# The it does the same all over again

import os
import time
from datetime import datetime

def write_current_time(filename):
    # Wait until directory exist
    while not os.path.exists(os.path.dirname(filename)):
        time.sleep(1)
        
    while True:
        current_time = datetime.now().strftime("%Y-%m-%d %H:%M:%S")
        with open(filename, 'w') as file:
            file.write('Time: ' + current_time + '\n')
        time.sleep(1)

if __name__ == "__main__":
    filename = "/data/current_time.txt"
    write_current_time(filename)