# Author: Panagiotis Karamolegkos (UPRC)
# chmod -R 777 remove_yamls.sh
# ./remove_yamls.sh

# Remove PDLC Containers
## Remove RL Subcomponent
kubectl delete -f ./rl_model/rl-model-deployment.yaml

## Remove GNN Subcomponent
kubectl delete -f ./gnn_model/gnn_controller.yaml
kubectl delete -f ./gnn_model/gnn_inference.yaml
kubectl delete -f ./gnn_model/gnn-role-binding.yaml
kubectl delete -f ./gnn_model/gnn-role.yaml

## Remove CA Subcomponent
kubectl delete -f ./context_awareness/pdlc-ca-deployment.yaml

## Remove DP Subcomponent
kubectl delete -f ./data_preprocessing/pdlc-dp-deployment.yaml
kubectl delete -f ./data_preprocessing/pdlc-dp-role-binding.yaml
kubectl delete -f ./data_preprocessing/pdlc-dp-role.yaml

# Remove PVC for RO
kubectl delete -f ./volume/shared-pv-ro.yaml
kubectl delete -f ./volume/shared-pvc-ro.yaml

# Remove PVC for RW
kubectl delete -f ./volume/shared-pv-rw.yaml
kubectl delete -f ./volume/shared-pvc-rw.yaml

# Remove Storage Class for Persistent Volume Claim
kubectl delete -f ./volume/storage-class.yaml

# Remove the PDLC namespace
kubectl delete namespace he-codeco-pdlc
